aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSimon Brandhof <simon.brandhof@sonarsource.com>2017-11-17 21:15:30 +0100
committerSimon Brandhof <simon.brandhof@sonarsource.com>2017-11-17 21:18:43 +0100
commitda112ac51de57fa8b4684eb13d1eebd555a4a593 (patch)
tree34e0e9e64100429d10174a8c0674415a8dfe9e50
parentd7016491fb4bd7d1c19ba36499649ad6a6d6da8e (diff)
downloadsonarqube-da112ac51de57fa8b4684eb13d1eebd555a4a593.tar.gz
sonarqube-da112ac51de57fa8b4684eb13d1eebd555a4a593.zip
Add development patches for start.sh
-rw-r--r--.gitignore4
-rwxr-xr-xscripts/patches/debug_ce.sh8
-rwxr-xr-xscripts/patches/debug_web.sh8
-rwxr-xr-xscripts/patches/mysql.sh10
-rwxr-xr-xscripts/patches/postgres.sh10
5 files changed, 40 insertions, 0 deletions
diff --git a/.gitignore b/.gitignore
index eed05a54bdd..fadc2446785 100644
--- a/.gitignore
+++ b/.gitignore
@@ -51,3 +51,7 @@ Desktop.ini
# scripts patches, they are local to each developer
scripts/patches/*.*
scripts/patches/*license*.txt
+!scripts/patches/debug_ce.sh
+!scripts/patches/debug_web.sh
+!scripts/patches/mysql.sh
+!scripts/patches/postgres.sh
diff --git a/scripts/patches/debug_ce.sh b/scripts/patches/debug_ce.sh
new file mode 100755
index 00000000000..aafeadaf8c7
--- /dev/null
+++ b/scripts/patches/debug_ce.sh
@@ -0,0 +1,8 @@
+set -euo pipefail
+
+source scripts/property_utils.sh
+
+SQ_HOME=$1
+
+echo "enabling debug on compute engine, listening on port 5005"
+set_property sonar.ce.javaAdditionalOpts -agentlib:jdwp=transport=dt_socket,server=y,suspend=n,address=5005 $SQ_HOME/conf/sonar.properties
diff --git a/scripts/patches/debug_web.sh b/scripts/patches/debug_web.sh
new file mode 100755
index 00000000000..831a6dd5b17
--- /dev/null
+++ b/scripts/patches/debug_web.sh
@@ -0,0 +1,8 @@
+set -euo pipefail
+
+source scripts/property_utils.sh
+
+SQ_HOME=$1
+
+echo "enabling debug on web server, listening on port 5005"
+set_property sonar.web.javaAdditionalOpts -agentlib:jdwp=transport=dt_socket,server=y,suspend=n,address=5005 $SQ_HOME/conf/sonar.properties
diff --git a/scripts/patches/mysql.sh b/scripts/patches/mysql.sh
new file mode 100755
index 00000000000..59931e77b94
--- /dev/null
+++ b/scripts/patches/mysql.sh
@@ -0,0 +1,10 @@
+set -euo pipefail
+
+source scripts/property_utils.sh
+
+SQ_HOME=$1
+
+echo "configuring mysql"
+set_property sonar.jdbc.url "jdbc:mysql://localhost:3306/sonarqube?useUnicode=true&characterEncoding=utf8&rewriteBatchedStatements=true&useConfigs=maxPerformance" $SQ_HOME/conf/sonar.properties
+set_property sonar.jdbc.username sonarqube $SQ_HOME/conf/sonar.properties
+set_property sonar.jdbc.password sonarqube $SQ_HOME/conf/sonar.properties
diff --git a/scripts/patches/postgres.sh b/scripts/patches/postgres.sh
new file mode 100755
index 00000000000..0f3b10559ac
--- /dev/null
+++ b/scripts/patches/postgres.sh
@@ -0,0 +1,10 @@
+set -euo pipefail
+
+source scripts/property_utils.sh
+
+SQ_HOME=$1
+
+echo "configuring postgres"
+set_property sonar.jdbc.url jdbc:postgresql://localhost:5432/sonarqube $SQ_HOME/conf/sonar.properties
+set_property sonar.jdbc.username sonarqube $SQ_HOME/conf/sonar.properties
+set_property sonar.jdbc.password sonarqube $SQ_HOME/conf/sonar.properties